require_relative 'lib/yapi/version'

Gem::Specification.new do |spec|
  spec.name          = "yapi-cli"
  spec.version       = YAPI::VERSION
  spec.authors       = ["Daniel Bridges"]
  spec.email         = ["dan@danbridges.org"]

  spec.summary       = "A YAML based API Client"
  spec.homepage      = "https://github.com/dbridges/yapi-cli"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/dbridges/yapi-cli"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = ["yapi"]
  spec.require_paths = ["lib"]

  spec.add_development_dependency "rubocop", "~> 0.82.0"
  spec.add_development_dependency "rspec", "~> 3.9.0"

  spec.add_runtime_dependency "http", "~> 4.4.1"
  spec.add_runtime_dependency "thor", "~> 1.0.1 "
  spec.add_runtime_dependency "tty-prompt", "~> 0.21.0"
end
